curl --request POST \
--url 'https://edi.stateset.com/v1/edi/outbound/855/{partner_id}' \
--header "Authorization: Bearer $STATESET_EDI_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"ack_date": "2026-08-31",
"ack_type": "string",
"lines": [
{
"ids": [],
"line_number": "string",
"quantity": "string",
"status": "pending",
"status_quantity": "string",
"unit_price": "49.00",
"uom": "string"
}
],
"po_date": "2026-08-31",
"po_number": "ORD-10042"
}'
855
Wire-ready X12 855 interchange
POST
/
v1
/
edi
/
outbound
/
855
/
{partner_id}
curl --request POST \
--url 'https://edi.stateset.com/v1/edi/outbound/855/{partner_id}' \
--header "Authorization: Bearer $STATESET_EDI_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"ack_date": "2026-08-31",
"ack_type": "string",
"lines": [
{
"ids": [],
"line_number": "string",
"quantity": "string",
"status": "pending",
"status_quantity": "string",
"unit_price": "49.00",
"uom": "string"
}
],
"po_date": "2026-08-31",
"po_number": "ORD-10042"
}'
Path parameters
string
required
Partner ID
Request body
Ack855
string (date)
required
string
BAK02 acknowledgment type: AC accept, AD accept with detail, AK acknowledge no detail, RJ reject.
AckLine[]
required
string (date)
string
required
Response
No response body. Wire-ready X12 855 interchange.Status codes
| Code | Meaning |
|---|---|
200 | Wire-ready X12 855 interchange |
403 | Not this credential’s partner |
422 | Invalid payload or delimiter collision |
curl --request POST \
--url 'https://edi.stateset.com/v1/edi/outbound/855/{partner_id}' \
--header "Authorization: Bearer $STATESET_EDI_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"ack_date": "2026-08-31",
"ack_type": "string",
"lines": [
{
"ids": [],
"line_number": "string",
"quantity": "string",
"status": "pending",
"status_quantity": "string",
"unit_price": "49.00",
"uom": "string"
}
],
"po_date": "2026-08-31",
"po_number": "ORD-10042"
}'
Last modified on August 31, 2026